# fiftyfive-wicket Release Notes

## 4.0.2

* Upgrade to Wicket 1.5.9
* Upgrade to Spring 3.1.3
* Upgrade to Shiro 1.2.1
* Upgrade to JUnit 4.10
* Upgrade to SLF4J 1.7.2
* Upgrade to Mockito 1.9.5
* Change recommended usage of `SimpleCDN` to work better with the latest version of Wicket 1.5.x (see [#35](https://github.com/55minutes/fiftyfive-wicket/issues/35))

## 4.0.1

* Upgrade to Wicket 1.5.7
* Upgrade to Spring 3.1.1
* Upgrade to JUnit 4.10
* Upgrade to SLF4J 1.6.6
* Upgrade to Mockito 1.9.0
* Improve archetype compatibility with Windows Maven environments

## 4.0

### Major backwards-incompatible changes

* **In fiftyfive-wicket-js 4.0, we have changed the syntax of JavaScript `//= require` dependency directives, in order to more closely mimic the latest behavior of the [Sprockets project][sprockets].** If you use `//= require` statements in your JavaScript, your application may break. Refer to [SprocketsParserImplV4][parser-v4] for more information on the exact changes. To ease the transition, you can instruct fiftyfive-wicket-js 4.0 to use the old 3.0 syntax instead (or turn off `//= require` dependency logic entirely) by calling [JavaScriptDependencySettings#setSprocketsParser()][set-parser].
* **The filenames and locations of the JavaScript libraries and the Redmond jQuery UI theme that are bundled with `fiftyfive-wicket-js` have changed.** Most applications should not be affected. If your application does depend on the exact classpath locations for these files, refer to [the new layout on GitHub][4.0-js-layout].
* **`fiftyfive-wicket-js` no longer includes minified versions of jQuery and jQuery UI.** We now recommend that developers adopt a solution like Apache `mod_deflate` for delivering compressed static resources.
* **`fiftyfive-wicket-js` no longer includes Modernizr.**
* The public API of [DtoDataProvider][dto] has changed, in order to allow explicit ranges of data to be loaded. See [issue #30][issue-30].

### Minor or behind-the-scenes changes

* Wicket upgraded to 1.5.5
* jQuery upgraded to 1.7.1
* jQuery UI upgraded to 1.8.18
* The fiftyfive JavaScript utils (e.g. `jquery.55_utils.js`) have been upgraded to 4.0 (note that the authoritative source of these files is now in [a separate GitHub repository][js-repo])
* The fiftyfive-wicket repository itself has been reorganized to eliminate the messy Git submodule and symlinks, and instead uses a Ruby script to fetch external CSS and JS dependencies needed from other repositories
* In projects generated by fiftyfive-wicket-archetype, the Compass configuration file (`config.rb`) is now placed at the project root. This means the `compass` commands can be issued from the project root instead of first needing to drill deep into the `src/main/resources` tree.

[sprockets]:https://github.com/sstephenson/sprockets#readme
[parser-v4]:http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/4.0/fiftyfive/wicket/js/locator/SprocketsParserImplV4.html
[set-parser]:http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/4.0/fiftyfive/wicket/js/JavaScriptDependencySettings.html#setSprocketsParser%28fiftyfive.wicket.js.locator.SprocketsParser%29
[dto]:http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/4.0/fiftyfive/wicket/data/DtoDataProvider.html
[issue-30]:https://github.com/55minutes/fiftyfive-wicket/issues/30
[4.0-js-layout]:https://github.com/55minutes/fiftyfive-wicket/tree/v4.0/fiftyfive-wicket-js/src/main/resources/fiftyfive/wicket/js/lib
[js-repo]:https://github.com/55minutes/fiftyfive-util-js/


## 3.2

* Introduce [SimpleCDN](http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/3.2-SNAPSHOT/fiftyfive/wicket/resource/SimpleCDN.html), a simple way to enable static resources of your Wicket application to be proxied by a CDN, for example by Amazon Cloudfront ([6dd4b13860](https://github.com/55minutes/fiftyfive-wicket/commit/6dd4b13860a5918db56689a966741e1d23ef12e4))
* Introduce [WicketTestUtils.assertDownloadEquals](http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/3.2-SNAPSHOT/fiftyfive/wicket/test/WicketTestUtils.html#assertDownloadEquals%28org.apache.wicket.util.tester.WicketTester,%20java.lang.String,%20byte[]%29) ([8da847a542](https://github.com/55minutes/fiftyfive-wicket/commit/8da847a542312ec9438545e0ea9105e5ce9eccd7))
* Upgrade to Wicket 1.5.4
* Upgrade to Shiro 1.2.0 ([d048017d31](https://github.com/55minutes/fiftyfive-wicket/commit/d048017d31acb276f726df310bdfc89cef18fd65))
* Upgrade to Spring 3.1.0 ([1e3b7abe41](https://github.com/55minutes/fiftyfive-wicket/commit/1e3b7abe41a42d93d5ffbd2f3f9cf85942d1c7ad))
* Minor tweaks to `fiftyfive-wicket-archetype`:
  * CSS3 foundation bug fixes ([e8adece1da](https://github.com/55minutes/fiftyfive-wicket/commit/e8adece1da999c943b820ca060254de5d63c3b38))
  * Improve how the merged JavaScript resource is configured ([9513abd85e](https://github.com/55minutes/fiftyfive-wicket/commit/9513abd85e6f2e60a0c98a98a24dfd2a05748a78), [602b2dc91d](https://github.com/55minutes/fiftyfive-wicket/commit/602b2dc91d98b3f9ad15a8fdd754364b8eec1de8))

## 3.1

* Upgrade to Wicket 1.5.3
* Upgrade to jQuery 1.7.1
* Significant changes to `fiftyfive-wicket-archetype`, including:
  * Make use of [CSS Grid](http://cssgrid.net/) in the sample pages
  * Include examples of best practices for favicons and mobile-optimized icons ("Apple touch icons")
  * Incorporate the latest version of 
    [css3-foundation](https://github.com/55minutes/css3-foundation)
  * Improve javadoc

## 3.0.2

* Upgrade to Wicket 1.5.2

## 3.0.1

* **Upgrade to Wicket 1.5.1**
* Make minor code style improvements to SCSS included in `fiftyfive-wicket-archetype`
* Correct an improperly-built version of modernizr bundled with `fiftyfive-wicket-js`


## 3.0

**Please note that our maven URLs have recently changed.** Release and snapshots artifacts
are now stored in separate repositories. The new URLs are:

* `http://opensource.55minutes.com/maven-releases/`
* `http://opensource.55minutes.com/maven-snapshots/`

### Requirements

* **fiftyfive-wicket now requires Wicket 1.5 and Java 1.6.**
* **Projects generated by the archetype now require `compass`.**

### Major enhancements

* **Apache Shiro support**

### Dependencies

* The bundled versions of jQuery and jQuery UI are now at 1.6.4 and 1.8.16, respectively.
* Spring updated to 3.0.6.
* SLF4j updated to 1.6.2.

### New source code organization and conventions

* **The `fiftyfive-wicket` artifact is now named `fiftyfive-wicket-core`.** There is no longer
  a `fiftyfive-wicket` artifact.
* **The `fiftyfive-wicket-examples` module has been removed.** The project documentation and
  samples provided in the archetype serve as a replacement.
* The parent POM is now at the root of the project, rather than in `parent/pom.xml`. This more
  closely matches standard practices for multi-module maven projects.
* The module directory names now exactly match the name of the module. For example, the
  `fiftyfive-wicket-js` artifact is now in a `fiftyfive-wicket-js` directory, instead of just `js`.
* We've changed our coding style to no longer use leading underscores for instance variable names.
* All `pom.xml` files have been updated to eliminate warnings in Maven 3.
* We now use Wicket's built-in `Args` and `Checks` assertion helpers instead using `fiftyfive-util`.

### CSS and JavaScript resource merging

* `org.wicketstuff:wicketstuff-merged-resources` is no longer a dependency.
* `install()` takes the place of `build()`.
* Implementation has changed to use the new Wicket 1.5 URL mounting/mapping system.

### Archetype

* We no longer suggest `@MountPath` annotations for mounting bookmarkable pages, which scatters
  URL defintions throughout a project. Instead our recommendation is to use Wicket's standard
  procedural methods for mounting pages in a central location. We've factored this into a special
  class called `WicketMappings`.
* `org.wicketstuff:annotation` and `org.wicketstuff:wicketstuff-merged-resources` dependencies
  have been removed.
* `BasePage` has now been separated into `BasePage` and `EmptyPage`.
* The `_body` variable exposed by `BasePage` has been made private; a public `getBody()` method
  serves as the replacement.
* We now suggest using Wicket's `IRequestCycleListener` plugin system instead overriding
  `newRequestCycle()`.
* We have a new organization for stylesheets that demonstrates many of the powerful features of
  Compass.
* The `compass` command-line tool is now integrated with the Maven build process.
* We now include a `.gitignore` file.

### Other new classes and methods

* [PatternMountedMapper](http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/3.0-SNAPSHOT/index.html?fiftyfive/wicket/mapper/PatternMountedMapper.html)
* [HttpUtils.getAbsolutePageUrl()](http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/3.0-SNAPSHOT/fiftyfive/wicket/util/HttpUtils.html#getAbsolutePageUrl())
* [Shortcuts.cssResource(filename, media)](http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/3.0-SNAPSHOT/fiftyfive/wicket/util/Shortcuts.html#cssResource(java.lang.String,%20java.lang.String))
* [Shortcuts.cssResource(scope, filename, media)](http://opensource.55minutes.com/apidocs/fiftyfive-wicket-all/3.0-SNAPSHOT/fiftyfive/wicket/util/Shortcuts.html#cssResource(java.lang.Class,%20java.lang.String,%20java.lang.String))
